Class | SshDirPublisher
In: | lib/rake/contrib/publisher.rb
Parent: | Object

Publish an entire directory to an existing remote directory using SSH.

### Methods

new upload

### Public Class methods

new(host, remote_dir, local_dir)

[Source]

        # File lib/rake/contrib/publisher.rb, line 39
    39:   def initialize(host, remote_dir, local_dir)
    40:     @host = host
    41:     @remote_dir = remote_dir
    42:     @local_dir = local_dir
    43:   end

### Public Instance methods

upload()

[Source]

        # File lib/rake/contrib/publisher.rb, line 45
    45:   def upload
    46:     run %{scp -rq #{@local_dir}/* #{@host}:#{@remote_dir}}
    47:   end

[Validate]